# Class IllegalReceiveException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
com.sun.nio.sctp.IllegalReceiveException

All Implemented Interfaces:
  `Serializable`

public class IllegalReceiveException extends IllegalStateException
Unchecked exception thrown when an attempt is made to invoke the `receive` method of `SctpChannel` or `SctpMultiChannel` from a notification handler.

Since:
  1.7
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalReceiveException()`
Constructs an instance of this class.
`IllegalReceiveException(String msg)`
Constructs an instance of this class with the specified message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalReceiveException

public IllegalReceiveException()
Constructs an instance of this class.

### IllegalReceiveException

public IllegalReceiveException(String msg)
Constructs an instance of this class with the specified message.

Parameters:
  `msg` - The String that contains a detailed message